Gyoto::Functor::Double_Double_const Class Referenceabstract

A functor like double (func) (double) const. More...

`#include <GyotoFunctors.h>`

Inheritance diagram for Gyoto::Functor::Double_Double_const:

## Public Member Functions

virtual double | operator() (double) const =0
| The actual function.
double | ridders (double from, double to) const
| Ridder's root-finding method applied on operator()().
double | secant (double from, double to)
| Secant root-finding method applied on operator()().

## Public Attributes

int | status
| Exit status code of "various" methods (at least secant() !).

## Detailed Description

A functor like double (func) (double) const.

## Member Function Documentation

## operator()()

virtual double Gyoto::Functor::Double_Double_const::operator() | ( | double |  | ) | const

pure virtual

The actual function.

Implemented in Gyoto::Astrobj::PolishDoughnut::intersection_t, and Gyoto::Astrobj::PolishDoughnut::outerradius_t.

## ridders()

double Gyoto::Functor::Double_Double_const::ridders | ( | double | from,
|  | double | to ) const

Ridder's root-finding method applied on operator()().

Parameters

  from,to | boundaries for root-searching

Returns
  the root

## secant()

double Gyoto::Functor::Double_Double_const::secant | ( | double | from,
|  | double | to )

Secant root-finding method applied on operator()().

Sets status to -0 in case of convergence -1 if two distinct inputs evaluated to the same output -2 if maximum number of iterations (20) reached

Parameters

  from,to | boundaries for root-finding

Returns
  the root

The documentation for this class was generated from the following file:

- GyotoFunctors.h